import simpleML.*;

//global variables

//declare an array of MapItem objects
MapItem[] visualization;
MapItem[] overlookedVisualization;

//Create the background
Scenery someScenery;

//create the connection to the database, and copies of info
DatabaseHandler DBInfo;

void setup(){

  background(255);
  size(800,550);

  //Create an XML Request object.  The rest of the code for this is in the DatabaseHandler Class file.
  xmlRequest = new XMLRequest(this, "http://www.binaryspark.com/reader/articleHarvester.php" );
  
  //Create the Scenery 
  someScenery=new Scenery(); 

  DBInfo = new DatabaseHandler();   //This will actually pass the url of the database

  visualization = new MapItem[DBInfo.Headline.length];  // this creates an array the length of what is curently in the database, one item
  
  overlookedVisualization = new MapItem[DBInfo.Headline.length];  // this creates an array the length of what is curently in the database, one item

  //filling the array of MapItems.  In the future we'll want this to be in Draw.

  for (int i=0; i < visualization.length; i++){
    visualization[i]=new MapItem(DBInfo.Headline[i], DBInfo.Blurb[i], DBInfo.City[i], DBInfo.Country[i], DBInfo.Lat[i], DBInfo.Long[i], false, 0);
  }
  
  for (int i=0; i < overlookedVisualization.length; i++){
    overlookedVisualization[i]=new MapItem(DBInfo.Headline[i], DBInfo.Blurb[i], DBInfo.City[i], DBInfo.Country[i], DBInfo.Lat[i], DBInfo.Long[i], true, 0);
  }

}

void draw() {
  
  //display the items on the map items
someScenery.display ();

  someScenery.displayMapItems();
  
 // someScenery.displayCountryMissed();

}



void mouseClicked() {
  
    someScenery.mouseLogicMap (mouseX, mouseY);
  
}
 



